CXX	=@CXX@
CC	=@CC@
#LIBTOOL=@LIBTOOL@
AR	=@AR@
CFLAGS	= -Wall -O2 -march=@target_cpu@ -pipe -fomit-frame-pointer -I. -I..
TARGET	=libscience.a
T_OBJ	=atmos.o nr.o nrutil.o scan.o scind.o weif.o

all: $(TARGET)

clean:
	rm -f *.o
	rm -f $(TARGET)

$(TARGET): $(T_OBJ)
	$(AR) -r $@ $^

nr.o: nr.c bessj1.c brent.c f1dim.c four1.c gammln.c gasdev.c hunt.c linmin.c midpnt.c mnbrak.c nr.h nrutil.h poidev.c polint.c powell.c qromo2.c ran1.c ran2.c ratint.c sort.c spline.c splint.c svbksb.c svdcmp.c
	$(CXX) -c $(CFLAGS) $< -o $@
nrutil.o: nrutil.cpp nr.c bessj1.c brent.c f1dim.c four1.c gammln.c gasdev.c hunt.c linmin.c midpnt.c mnbrak.c nr.h nrutil.h poidev.c polint.c powell.c qromo2.c ran1.c ran2.c ratint.c sort.c spline.c splint.c svbksb.c svdcmp.c
	$(CXX) -c $(CFLAGS) $< -o $@
scind.o: scind.cpp ../iocount.h nr.h nrutil.h scind.hxx
	$(CXX) -c $(CFLAGS) $< -o $@
weif.o: weif.cpp nr.h nrutil.h scind.hxx weif.hxx
	$(CXX) -c $(CFLAGS) $< -o $@
scan.o: scan.cpp ../iocount.h nr.h nrutil.h scan.hxx scind.hxx
	$(CXX) -c $(CFLAGS) $< -o $@
atmos.o: atmos.cpp atmos.hxx nr.h nrutil.h ../readmass.h scind.hxx weif.hxx
	$(CXX) -c $(CFLAGS) $< -o $@
